server {
  listen 8888;
  server_name localhost;
  location /pangu/ {
      rewrite ^/pangu/(.*) /$1 break;
      proxy_pass http://192.168.9.11:30110;
      client_max_body_size 5120m;
      client_body_buffer_size 5120m;
      client_body_timeout 6000s;
      proxy_send_timeout 10000s;
      proxy_read_timeout 10000s;
      proxy_connect_timeout 600s;
      proxy_max_temp_file_size 5120m;
      proxy_request_buffering on;
      proxy_buffering off;
      proxy_buffer_size 4k;
      proxy_buffers 4 12k;
      proxy_set_header Host $host;
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "upgrade";
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  }
  location /oms/ {
      rewrite ^/oms/(.*) /$1 break;
      proxy_pass http://192.168.9.11:30112;
      client_max_body_size 5120m;
      client_body_buffer_size 5120m;
      client_body_timeout 6000s;
      proxy_send_timeout 10000s;
      proxy_read_timeout 10000s;
      proxy_connect_timeout 600s;
      proxy_max_temp_file_size 5120m;
      proxy_request_buffering on;
      proxy_buffering off;
      proxy_buffer_size 4k;
      proxy_buffers 4 12k;
      proxy_set_header Host $host;
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "upgrade";
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  }
  location /armypeople {
        rewrite ^/armypeople/(.*) /$1 break;
        proxy_pass http://192.168.9.11:30111;
        client_max_body_size 5120m;
        client_body_buffer_size 5120m;
        client_body_timeout 6000s;
        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;
        proxy_connect_timeout 600s;
        proxy_max_temp_file_size 5120m;
        proxy_request_buffering on;
        proxy_buffering off;
        proxy_buffer_size 4k;
        proxy_buffers 4 12k;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

  location /api/ {
    rewrite ^/api/(.*) /$1 break;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection "upgrade";
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_pass http://192.168.9.11:30115;
  }
   location /oms/api {
      rewrite ^/oms/api/(.*) /$1 break;
      proxy_set_header Host $host;
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "upgrade";
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_pass  http://192.168.9.11:30116;
   }

  location /rtc/v1/ {
        add_header Access-Control-Allow-Headers X-Requested-With;
        add_header Access-Control-Allow-Methods GET,POST,OPTIONS;
        proxy_pass http://127.0.0.1:30985/rtc/v1/;
  }

  location ~ ^/\w*/actuator/ {
      return 403;
  }
}
